> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/address-book-distribution-lists-for-tenant.md).

# Address Book Distribution Lists For Tenant

## GET /V2/{tenantVarCode}/addressbookdistributionlists

> Returns a list of global distribution lists for specified tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Address Book Distribution Lists for Tenant"}],"paths":{"/V2/{tenantVarCode}/addressbookdistributionlists":{"get":{"tags":["Address Book Distribution Lists for Tenant"],"summary":"Returns a list of global distribution lists for specified tenant","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}}}}}}}}},"components":{"schemas":{"AddressBookDistributionListTenantGet":{"required":["ListName","Recipients"],"type":"object","properties":{"SyncToDevices":{"type":"boolean","description":"Sync the distribution list to devices. This is only applicable for tenant distribution lists and for GET endpoint."},"ListId":{"type":"string","description":"A unique string that identifies the distribution list","nullable":true},"ListName":{"minLength":1,"type":"string","description":"The name of the address book distribution list"},"AppliesToSubtenants":{"type":"boolean","description":"Makes tenant list available also for sub-tenants, valid for tenant distribution lists only."},"LastUpdated":{"type":"string","description":"A date and time that the entry was last modified, read only.","format":"date-time","nullable":true},"Recipients":{"type":"array","items":{"$ref":"#/components/schemas/Recipient"},"description":"List of recipients"}},"additionalProperties":false},"Recipient":{"required":["Type"],"type":"object","properties":{"Type":{"$ref":"#/components/schemas/RecipientType"},"TenantCode":{"type":"string","description":"Tenant Var Code (set for tenant lists and tenant contacts only)","nullable":true},"ContactId":{"type":"string","description":"Address book contact ID (set for device contacts and tenant contacts only)","nullable":true},"ContactDetailId":{"type":"string","description":"Address book contact detail ID (set for device contacts and tenant contacts only)","nullable":true},"ListId":{"type":"string","description":"Address book list id (set for device lists and tenant lists only)","nullable":true},"MessagingAddress":{"type":"string","description":"Messaging address, for example: \"mail:peter.norton@symantec.com\", \"sms:+3450546464564\" (set for messaging address recipient type only)","nullable":true},"Radius":{"type":"string","description":"Radius in kilometers (set for nearest devices recipient type only)","nullable":true},"ReportingFrequency":{"type":"string","description":"Reporting frequency in minutes (set for change reporting frequency type only)","nullable":true},"Interval":{"type":"string","description":"Check in interval in minutes (set for check in request type only)","nullable":true},"GroupId":{"type":"string","description":"Group ID (set for change group type only)","nullable":true}},"additionalProperties":false},"RecipientType":{"enum":["DeviceList","TenantList","DeviceContact","TenantContact","MessagingAddress","NearestDevices","DeviceUserEmail","DeviceUserSms","DeviceUserManagerEmail","DeviceUserManagerSms","DeviceUserEmergencyContacts","OtherDevicesInGroup","SendCheckInRequest","SendLocationRequest","ChangeReportingFrequency","SendTextMessage","StartMonitoring","StopMonitoring","ForceStopMonitoring","DeviceUserCall","DeviceUserManagerCall","DeviceCall","StartCheckInSchedule","StopCheckInSchedule","ChangeGroup","DeviceUserEmergencyContactsCall","DeviceUserEmergencyContactsEmail"],"type":"string"}}}}
```

## POST /V2/{tenantVarCode}/addressbookdistributionlists

> Creates a new global distribution list for the specified tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Address Book Distribution Lists for Tenant"}],"paths":{"/V2/{tenantVarCode}/addressbookdistributionlists":{"post":{"tags":["Address Book Distribution Lists for Tenant"],"summary":"Creates a new global distribution list for the specified tenant","operationId":"PostTenantAddressBookDistributionList","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Distribution List","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"text/plain":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"text/json":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"text/xml":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"AddressBookDistributionList":{"required":["ListName","Recipients"],"type":"object","properties":{"ListId":{"type":"string","description":"A unique string that identifies the distribution list","nullable":true},"ListName":{"minLength":1,"type":"string","description":"The name of the address book distribution list"},"AppliesToSubtenants":{"type":"boolean","description":"Makes tenant list available also for sub-tenants, valid for tenant distribution lists only."},"LastUpdated":{"type":"string","description":"A date and time that the entry was last modified, read only.","format":"date-time","nullable":true},"Recipients":{"type":"array","items":{"$ref":"#/components/schemas/Recipient"},"description":"List of recipients"}},"additionalProperties":false},"Recipient":{"required":["Type"],"type":"object","properties":{"Type":{"$ref":"#/components/schemas/RecipientType"},"TenantCode":{"type":"string","description":"Tenant Var Code (set for tenant lists and tenant contacts only)","nullable":true},"ContactId":{"type":"string","description":"Address book contact ID (set for device contacts and tenant contacts only)","nullable":true},"ContactDetailId":{"type":"string","description":"Address book contact detail ID (set for device contacts and tenant contacts only)","nullable":true},"ListId":{"type":"string","description":"Address book list id (set for device lists and tenant lists only)","nullable":true},"MessagingAddress":{"type":"string","description":"Messaging address, for example: \"mail:peter.norton@symantec.com\", \"sms:+3450546464564\" (set for messaging address recipient type only)","nullable":true},"Radius":{"type":"string","description":"Radius in kilometers (set for nearest devices recipient type only)","nullable":true},"ReportingFrequency":{"type":"string","description":"Reporting frequency in minutes (set for change reporting frequency type only)","nullable":true},"Interval":{"type":"string","description":"Check in interval in minutes (set for check in request type only)","nullable":true},"GroupId":{"type":"string","description":"Group ID (set for change group type only)","nullable":true}},"additionalProperties":false},"RecipientType":{"enum":["DeviceList","TenantList","DeviceContact","TenantContact","MessagingAddress","NearestDevices","DeviceUserEmail","DeviceUserSms","DeviceUserManagerEmail","DeviceUserManagerSms","DeviceUserEmergencyContacts","OtherDevicesInGroup","SendCheckInRequest","SendLocationRequest","ChangeReportingFrequency","SendTextMessage","StartMonitoring","StopMonitoring","ForceStopMonitoring","DeviceUserCall","DeviceUserManagerCall","DeviceCall","StartCheckInSchedule","StopCheckInSchedule","ChangeGroup","DeviceUserEmergencyContactsCall","DeviceUserEmergencyContactsEmail"],"type":"string"}}}}
```

## GET /V2/{tenantVarCode}/addressbookdistributionlists/{listId}

> Returns a specific global distribution list

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Address Book Distribution Lists for Tenant"}],"paths":{"/V2/{tenantVarCode}/addressbookdistributionlists/{listId}":{"get":{"tags":["Address Book Distribution Lists for Tenant"],"summary":"Returns a specific global distribution list","operationId":"GetTenantAddressBookDistributionList","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"listId","in":"path","description":"List Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}},"text/plain":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}},"text/json":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}},"text/xml":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionListTenantGet"}}}}}}}},"components":{"schemas":{"AddressBookDistributionListTenantGet":{"required":["ListName","Recipients"],"type":"object","properties":{"SyncToDevices":{"type":"boolean","description":"Sync the distribution list to devices. This is only applicable for tenant distribution lists and for GET endpoint."},"ListId":{"type":"string","description":"A unique string that identifies the distribution list","nullable":true},"ListName":{"minLength":1,"type":"string","description":"The name of the address book distribution list"},"AppliesToSubtenants":{"type":"boolean","description":"Makes tenant list available also for sub-tenants, valid for tenant distribution lists only."},"LastUpdated":{"type":"string","description":"A date and time that the entry was last modified, read only.","format":"date-time","nullable":true},"Recipients":{"type":"array","items":{"$ref":"#/components/schemas/Recipient"},"description":"List of recipients"}},"additionalProperties":false},"Recipient":{"required":["Type"],"type":"object","properties":{"Type":{"$ref":"#/components/schemas/RecipientType"},"TenantCode":{"type":"string","description":"Tenant Var Code (set for tenant lists and tenant contacts only)","nullable":true},"ContactId":{"type":"string","description":"Address book contact ID (set for device contacts and tenant contacts only)","nullable":true},"ContactDetailId":{"type":"string","description":"Address book contact detail ID (set for device contacts and tenant contacts only)","nullable":true},"ListId":{"type":"string","description":"Address book list id (set for device lists and tenant lists only)","nullable":true},"MessagingAddress":{"type":"string","description":"Messaging address, for example: \"mail:peter.norton@symantec.com\", \"sms:+3450546464564\" (set for messaging address recipient type only)","nullable":true},"Radius":{"type":"string","description":"Radius in kilometers (set for nearest devices recipient type only)","nullable":true},"ReportingFrequency":{"type":"string","description":"Reporting frequency in minutes (set for change reporting frequency type only)","nullable":true},"Interval":{"type":"string","description":"Check in interval in minutes (set for check in request type only)","nullable":true},"GroupId":{"type":"string","description":"Group ID (set for change group type only)","nullable":true}},"additionalProperties":false},"RecipientType":{"enum":["DeviceList","TenantList","DeviceContact","TenantContact","MessagingAddress","NearestDevices","DeviceUserEmail","DeviceUserSms","DeviceUserManagerEmail","DeviceUserManagerSms","DeviceUserEmergencyContacts","OtherDevicesInGroup","SendCheckInRequest","SendLocationRequest","ChangeReportingFrequency","SendTextMessage","StartMonitoring","StopMonitoring","ForceStopMonitoring","DeviceUserCall","DeviceUserManagerCall","DeviceCall","StartCheckInSchedule","StopCheckInSchedule","ChangeGroup","DeviceUserEmergencyContactsCall","DeviceUserEmergencyContactsEmail"],"type":"string"}}}}
```

## PUT /V2/{tenantVarCode}/addressbookdistributionlists/{listId}

> Updates an existing global distribution list

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Address Book Distribution Lists for Tenant"}],"paths":{"/V2/{tenantVarCode}/addressbookdistributionlists/{listId}":{"put":{"tags":["Address Book Distribution Lists for Tenant"],"summary":"Updates an existing global distribution list","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"listId","in":"path","description":"List Id","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Updated List","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"text/plain":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"text/json":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"text/xml":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/AddressBookDistributionList"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"AddressBookDistributionList":{"required":["ListName","Recipients"],"type":"object","properties":{"ListId":{"type":"string","description":"A unique string that identifies the distribution list","nullable":true},"ListName":{"minLength":1,"type":"string","description":"The name of the address book distribution list"},"AppliesToSubtenants":{"type":"boolean","description":"Makes tenant list available also for sub-tenants, valid for tenant distribution lists only."},"LastUpdated":{"type":"string","description":"A date and time that the entry was last modified, read only.","format":"date-time","nullable":true},"Recipients":{"type":"array","items":{"$ref":"#/components/schemas/Recipient"},"description":"List of recipients"}},"additionalProperties":false},"Recipient":{"required":["Type"],"type":"object","properties":{"Type":{"$ref":"#/components/schemas/RecipientType"},"TenantCode":{"type":"string","description":"Tenant Var Code (set for tenant lists and tenant contacts only)","nullable":true},"ContactId":{"type":"string","description":"Address book contact ID (set for device contacts and tenant contacts only)","nullable":true},"ContactDetailId":{"type":"string","description":"Address book contact detail ID (set for device contacts and tenant contacts only)","nullable":true},"ListId":{"type":"string","description":"Address book list id (set for device lists and tenant lists only)","nullable":true},"MessagingAddress":{"type":"string","description":"Messaging address, for example: \"mail:peter.norton@symantec.com\", \"sms:+3450546464564\" (set for messaging address recipient type only)","nullable":true},"Radius":{"type":"string","description":"Radius in kilometers (set for nearest devices recipient type only)","nullable":true},"ReportingFrequency":{"type":"string","description":"Reporting frequency in minutes (set for change reporting frequency type only)","nullable":true},"Interval":{"type":"string","description":"Check in interval in minutes (set for check in request type only)","nullable":true},"GroupId":{"type":"string","description":"Group ID (set for change group type only)","nullable":true}},"additionalProperties":false},"RecipientType":{"enum":["DeviceList","TenantList","DeviceContact","TenantContact","MessagingAddress","NearestDevices","DeviceUserEmail","DeviceUserSms","DeviceUserManagerEmail","DeviceUserManagerSms","DeviceUserEmergencyContacts","OtherDevicesInGroup","SendCheckInRequest","SendLocationRequest","ChangeReportingFrequency","SendTextMessage","StartMonitoring","StopMonitoring","ForceStopMonitoring","DeviceUserCall","DeviceUserManagerCall","DeviceCall","StartCheckInSchedule","StopCheckInSchedule","ChangeGroup","DeviceUserEmergencyContactsCall","DeviceUserEmergencyContactsEmail"],"type":"string"}}}}
```

## DELETE /V2/{tenantVarCode}/addressbookdistributionlists/{listId}

> Deletes a specific global distibution list

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Address Book Distribution Lists for Tenant"}],"paths":{"/V2/{tenantVarCode}/addressbookdistributionlists/{listId}":{"delete":{"tags":["Address Book Distribution Lists for Tenant"],"summary":"Deletes a specific global distibution list","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"listId","in":"path","description":"List Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```
